import { Module } from 'mana-syringe';
import { Canvas2DContextService } from './Canvas2DContextService';
var containerModule = Module(function (register) {
  /**
   * implements ContextService
   */
  register(Canvas2DContextService);
});

var ContextRegisterPlugin =
/** @class */
function () {
  function ContextRegisterPlugin() {}

  ContextRegisterPlugin.prototype.init = function (container) {
    container.load(containerModule, true);
  };

  ContextRegisterPlugin.prototype.destroy = function (container) {
    container.remove(Canvas2DContextService); // @ts-ignore
    // container.container.unload(containerModule);
    // container.remove(Canvas2DContextService);
  };

  return ContextRegisterPlugin;
}();

export { ContextRegisterPlugin };