import { __extends } from "tslib";
import { AbstractRenderer } from '@antv/g';
import * as DomInteraction from '@antv/g-plugin-dom-interaction';
import * as CanvasRenderer from '@antv/g-plugin-canvas-renderer';
import * as CanvasPicker from '@antv/g-plugin-canvas-picker';
import * as HTMLRenderer from '@antv/g-plugin-html-renderer';
import { ContextRegisterPlugin } from './ContextRegisterPlugin';
export { DomInteraction, CanvasRenderer, CanvasPicker, HTMLRenderer };

var Renderer =
/** @class */
function (_super) {
  __extends(Renderer, _super);

  function Renderer(config) {
    var _this = _super.call(this, config) || this; // register Canvas2DContext


    _this.registerPlugin(new ContextRegisterPlugin()); // enable rendering with Canvas2D API


    _this.registerPlugin(new CanvasRenderer.Plugin());

    _this.registerPlugin(new DomInteraction.Plugin()); // enable picking with Canvas2D API


    _this.registerPlugin(new CanvasPicker.Plugin()); // render HTML component


    _this.registerPlugin(new HTMLRenderer.Plugin());

    return _this;
  }

  return Renderer;
}(AbstractRenderer);

export { Renderer };