"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Renderer = exports.HTMLRenderer = exports.DomInteraction = exports.CanvasRenderer = exports.CanvasPicker = void 0;

var _tslib = require("tslib");

var _g = require("@antv/g");

var DomInteraction = _interopRequireWildcard(require("@antv/g-plugin-dom-interaction"));

exports.DomInteraction = DomInteraction;

var CanvasRenderer = _interopRequireWildcard(require("@antv/g-plugin-canvas-renderer"));

exports.CanvasRenderer = CanvasRenderer;

var CanvasPicker = _interopRequireWildcard(require("@antv/g-plugin-canvas-picker"));

exports.CanvasPicker = CanvasPicker;

var HTMLRenderer = _interopRequireWildcard(require("@antv/g-plugin-html-renderer"));

exports.HTMLRenderer = HTMLRenderer;

var _ContextRegisterPlugin = require("./ContextRegisterPlugin");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Renderer =
/** @class */
function (_super) {
  (0, _tslib.__extends)(Renderer, _super);

  function Renderer(config) {
    var _this = _super.call(this, config) || this; // register Canvas2DContext


    _this.registerPlugin(new _ContextRegisterPlugin.ContextRegisterPlugin()); // enable rendering with Canvas2D API


    _this.registerPlugin(new CanvasRenderer.Plugin());

    _this.registerPlugin(new DomInteraction.Plugin()); // enable picking with Canvas2D API


    _this.registerPlugin(new CanvasPicker.Plugin()); // render HTML component


    _this.registerPlugin(new HTMLRenderer.Plugin());

    return _this;
  }

  return Renderer;
}(_g.AbstractRenderer);

exports.Renderer = Renderer;